<script setup>
import { clearBodyClass } from "@manuals/utilities";
definePageMeta({
  layout: false,
});

onMounted(() => {
  clearBodyClass();
});
onUnmounted(() => {
  clearBodyClass();
});
</script>

<template>
  <main class="h-full">
    <slot name="named-slot"></slot>
    <slot></slot>
  </main>
</template>

<style>
#__nuxt.isolate {
  height: 100%;
}
</style>
